<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [CompanyReputationRequirement](./bitburner.companyreputationrequirement.md)

## CompanyReputationRequirement interface

Player must have at least this much reputation with this company.

**Signature:**

```typescript
interface CompanyReputationRequirement 
```

## Properties

|  Property | Modifiers | Type | Description |
|  --- | --- | --- | --- |
|  [company](./bitburner.companyreputationrequirement.company.md) |  | [CompanyName](./bitburner.companyname.md) |  |
|  [reputation](./bitburner.companyreputationrequirement.reputation.md) |  | number |  |
|  [type](./bitburner.companyreputationrequirement.type.md) |  | "companyReputation" |  |

